Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Class ServiceContextHolder

    java.lang.Object
      org.omg.IOP.ServiceContextHolder

All Implemented Interfaces:
  Streamable

public final class ServiceContextHolder
extends Object
implements Streamable

Service-specific information to be passed implicitly with requests and replies. Service contexts are composed of service ids and associated data.

Field Summary
`ServiceContext` | `value`

Constructor Summary
`ServiceContextHolder()`
`ServiceContextHolder(ServiceContext initialValue)`

Method Summary
`void` | `_read(InputStream i)` Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
`TypeCode` | `_type()` Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
`void` | `_write(OutputStream o)` Marshals to `ostream` the value in the `value` field of the Holder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public ServiceContext value

Constructor Detail

### ServiceContextHolder

    public ServiceContextHolder()

### ServiceContextHolder

    public ServiceContextHolder(ServiceContext initialValue)

Method Detail

### _read

    public void _read(InputStream i)

  Description copied from interface: `Streamable`
  Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.

  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `i` - the InputStream that represents the CDR data from the wire.

### _write

    public void _write(OutputStream o)

  Description copied from interface: `Streamable`
  Marshals to `ostream` the value in the `value` field of the Holder.

  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `o` - the CDR OutputStream

### _type

    public TypeCode _type()

  Description copied from interface: `Streamable`
  Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.

  Specified by:
    `_type` in interface `Streamable`
  Returns:
    the `TypeCode` object for the value held in the holder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.